Signup Confirm

This endpoint confirms the signup process by verifying the email confirmation code, accepting terms and conditions, and completing user registration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Email Verification Code – API Rules

Code format:

  • 6-digit numeric code;
  • only numbers allowed.

Code expiry:

  • valid for 5 minutes;
  • expired codes cannot be used for verification.

Resend policy:

A new code can be requested once every 60 seconds by using POST /reg/v1/signup/confirm endpoint.

Verification attempts & account lock:

  • users have 5 attempts to enter the correct code;
  • after 5 failed attempts, the account is temporarily locked and user's forcibly logged out;
  • to unlock the account user should contact the support team.

Best Practice: Request a new code only when necessary to prevent delays.

Body Params

request to confirm user signup, including email verification, password, and terms acceptance.

string
required

email address of the user.

string
required

email confirmation code sent to the user. In sandbox environment, use 123456.

string
required

password for the new user account.

string

referral code applied during signup.

boolean
required

indicates whether the terms and conditions are accepted.

int32
required

version of the terms and conditions accepted.

string
enum
required

defines the type of user registering.

Allowed:
Headers
int32
required

partner ID provided by the Key Account Manager.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json